다음을 통해 공유


Guest Agents - Create

GuestAgent PUT 메서드를 구현합니다.
GuestAgent를 만들거나 업데이트합니다.

PUT https://management.azure.com/{resourceUri}/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
resourceUri
path True

string

리소스의 정규화된 Azure Resource Manager 식별자입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 형식 Description
properties.credentials

GuestCredential

게스트 에이전트를 프로비전하는 사용자 이름/암호 자격 증명입니다.

properties.httpProxyConfig

HttpProxyConfiguration

VM에 대한 HTTP 프록시 구성입니다.

properties.privateLinkScopeResourceId

string (arm-id)

이 컴퓨터가 할당된 프라이빗 링크 범위의 리소스 ID(있는 경우)입니다.

properties.provisioningAction

ProvisioningAction

게스트 에이전트 프로비저닝 작업을 가져오거나 설정합니다.

응답

Name 형식 Description
200 OK

GuestAgent

리소스 'GuestAgent' 업데이트 작업이 성공했습니다.

201 Created

GuestAgent

리소스 'GuestAgent' 만들기 작업이 성공했습니다.

헤더

Retry-After: integer

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

GuestAgents_Create_MaximumSet
GuestAgents_Create_MinimumSet

GuestAgents_Create_MaximumSet

샘플 요청

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{
  "properties": {
    "credentials": {
      "username": "jqxuwirrcpfv",
      "password": "gkvbnmuahumuoibvscoxzfdqwvfuf"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install"
  }
}

샘플 응답

{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}

GuestAgents_Create_MinimumSet

샘플 요청

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{}

샘플 응답

{}
Azure-AsyncOperation: https://contoso.com/operationstatus
{}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

GuestAgent

GuestAgent를 정의합니다.

GuestCredential

게스트에 연결할 사용자 이름/암호 자격 증명입니다.

HttpProxyConfiguration

VM에 대한 HTTP 프록시 구성입니다.

ProvisioningAction

게스트 에이전트 프로비저닝 작업.

ProvisioningState

리소스의 프로비전 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

GuestAgent

GuestAgent를 정의합니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.credentials

GuestCredential

게스트 에이전트를 프로비전하는 사용자 이름/암호 자격 증명입니다.

properties.customResourceName

string

Kubernetes에서 해당 리소스의 이름을 가져옵니다.

properties.httpProxyConfig

HttpProxyConfiguration

VM에 대한 HTTP 프록시 구성입니다.

properties.privateLinkScopeResourceId

string (arm-id)

이 컴퓨터가 할당된 프라이빗 링크 범위의 리소스 ID(있는 경우)입니다.

properties.provisioningAction

ProvisioningAction

게스트 에이전트 프로비저닝 작업을 가져오거나 설정합니다.

properties.provisioningState

ProvisioningState

리소스의 프로비전 상태입니다.

properties.status

string

게스트 에이전트 상태를 가져옵니다.

properties.uuid

string

이 리소스에 대한 고유 식별자를 가져옵니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

GuestCredential

게스트에 연결할 사용자 이름/암호 자격 증명입니다.

Name 형식 Description
password

string (password)

게스트와 연결할 암호를 가져오거나 설정합니다.

username

string

게스트와 연결할 사용자 이름을 가져오거나 설정합니다.

HttpProxyConfiguration

VM에 대한 HTTP 프록시 구성입니다.

Name 형식 Description
httpsProxy

string

httpsProxy URL을 가져오거나 설정합니다.

ProvisioningAction

게스트 에이전트 프로비저닝 작업.

Description
install

게스트 에이전트를 설치합니다.

uninstall

게스트 에이전트를 제거합니다.

repair

게스트 에이전트를 복구합니다.

ProvisioningState

리소스의 프로비전 상태입니다.

Description
Succeeded

리소스가 만들어졌습니다.

Failed

리소스를 만들지 못했습니다.

Canceled

리소스 만들기가 취소되었습니다.

Provisioning

리소스가 프로비전되고 있습니다.

Updating

리소스가 업데이트되고 있습니다.

Deleting

리소스가 삭제되고 있습니다.

Accepted

리소스가 수락되었습니다.

Created

리소스가 만들어졌습니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

UTC(리소스 만들기)의 타임스탬프입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.